#include<bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    long long r, k;
    scanf("%lld %lld", &r, &k);
    if(r==1 || k==1){
        printf("%lld", max(r, k));}
    else{
        long long res=(2*r+2*k-4)+(r*k-(2*r+2*k-4))/2;
        printf("%lld", res);
    }

    return 0;   }